%define anolis_release 1

Name:           perl-XML-Catalog
Version:        1.03
Release:        %{anolis_release}%{?dist}
Summary:        Resolve public identifiers and remap system identifiers
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/XML-Catalog
Source0:        https://cpan.metacpan.org/authors/id/J/JF/JFEARN/XML-Catalog-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(LWP::Simple) perl(strict) perl(Text::ParseWords)
BuildRequires:  perl(URI::URL) perl(vars) perl(warnings) perl(XML::Parser)
# Tests
BuildRequires:  perl(Cwd) perl(Test::More)

%description
This module implements draft 0.4 of John Cowan's XML Catalog (formerly
known as XCatalog) see
(<https://www.oasis-open.org/committees/entity/specs/cs-entity-xml-catalogs-1.0.html>)
Catalogs may be written in either SOCAT or XML syntax. XML::Catalog will
assume SOCAT syntax if the catalog is not in well-formed XML syntax.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q -n XML-Catalog-%{version}

%build
for i in Changes README; do
    sed -i 's/\r//' $i
done

perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Sun Apr 09 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.03-1
- init from upstream
